curl --request GET \
--url https://eu.phrase.com/quality-evaluator/v3/qualityProfiles/{contentGroupId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu.phrase.com/quality-evaluator/v3/qualityProfiles/{contentGroupId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu.phrase.com/quality-evaluator/v3/qualityProfiles/{contentGroupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://eu.phrase.com/quality-evaluator/v3/qualityProfiles/{contentGroupId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://eu.phrase.com/quality-evaluator/v3/qualityProfiles/{contentGroupId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://eu.phrase.com/quality-evaluator/v3/qualityProfiles/{contentGroupId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://eu.phrase.com/quality-evaluator/v3/qualityProfiles/{contentGroupId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"rules": [
{
"id": "rule-abc123",
"text": "The translation must not use passive voice.",
"locales": [
"en_us"
],
"aiCheckEnabled": true,
"name": "No passive voice",
"omittedReason": "This rule is too subjective to evaluate reliably on a single segment."
}
]
}Get Quality Profile by Content Group
Returns the Quality Profile for the given Content Group: the active Rules that apply to it, including Rules with AI Check disabled (see aiCheckEnabled on each rule). The profile is resolved dynamically to reflect the current state of the linked Content Group.
Optionally filter by locale, AI Check enabled state, and rule text, and sort by AI Check enabled state.
Requires a valid Platform IDM token.
curl --request GET \
--url https://eu.phrase.com/quality-evaluator/v3/qualityProfiles/{contentGroupId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu.phrase.com/quality-evaluator/v3/qualityProfiles/{contentGroupId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu.phrase.com/quality-evaluator/v3/qualityProfiles/{contentGroupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://eu.phrase.com/quality-evaluator/v3/qualityProfiles/{contentGroupId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://eu.phrase.com/quality-evaluator/v3/qualityProfiles/{contentGroupId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://eu.phrase.com/quality-evaluator/v3/qualityProfiles/{contentGroupId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://eu.phrase.com/quality-evaluator/v3/qualityProfiles/{contentGroupId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"rules": [
{
"id": "rule-abc123",
"text": "The translation must not use passive voice.",
"locales": [
"en_us"
],
"aiCheckEnabled": true,
"name": "No passive voice",
"omittedReason": "This rule is too subjective to evaluate reliably on a single segment."
}
]
}Authorizations
Path Parameters
Query Parameters
When provided, only rules that apply to the given locale are returned. When absent, all rules for the Content Group are returned regardless of locale restrictions.
Locale code compatible with the Phrase locale format. Case-insensitive; accepts _ or - as the separator (for example en_us, en-US, de_de). Responses use lowercase codes.
"en_us"
Was this page helpful?